> ## Documentation Index
> Fetch the complete documentation index at: https://cognitio-agent.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List workspaces

> List all workspaces.



## OpenAPI

````yaml /openapi.json get /experimental/workspace
openapi: 3.1.1
info:
  title: cognitio
  description: cognitio api
  version: 1.0.0
servers: []
security: []
paths:
  /experimental/workspace:
    get:
      summary: List workspaces
      description: List all workspaces.
      operationId: experimental.workspace.list
      parameters:
        - in: query
          name: directory
          schema:
            type: string
        - in: query
          name: workspace
          schema:
            type: string
      responses:
        '200':
          description: Workspaces
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Workspace'
      x-codeSamples:
        - lang: js
          source: |-
            import { createCognitioClient } from "@cognitio/sdk

            const client = createCognitioClient()
            await client.experimental.workspace.list({
              ...
            })
components:
  schemas:
    Workspace:
      type: object
      properties:
        id:
          type: string
          pattern: ^wrk.*
        type:
          type: string
        name:
          type: string
        branch:
          anyOf:
            - type: string
            - type: 'null'
        directory:
          anyOf:
            - type: string
            - type: 'null'
        extra:
          anyOf:
            - {}
            - type: 'null'
        projectID:
          type: string
      required:
        - id
        - type
        - name
        - branch
        - directory
        - extra
        - projectID

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.